#!/bin/bash

if [ "$#" -ne 1 ]; then
  echo "Usage: ./test_app.sh <image_path>"
  exit 1
fi

IMAGE_PATH="$1"

curl -X POST \
  -H "Content-Type: multipart/form-data" \
  -F "image=@${IMAGE_PATH}" \
  -F "text=Sample Text" \
  -F "blocks=Block 1" \
  -F "blocks=Block 2" \
  http://localhost:5000/api
